Method: advertisers.insertionOrders.get

  • This method retrieves a specific insertion order for a given advertiser.

  • The request uses an HTTP GET method with a URL that includes the advertiser ID and insertion order ID as path parameters.

  • The request body should be empty.

  • A successful response returns an InsertionOrder object in the response body.

  • This method requires authorization using the https://www.googleapis.com/auth/display-video OAuth scope.

Gets an insertion order. Returns error code NOT_FOUND if the insertion order does not exist.

HTTP request

GET https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/insertionOrders/{insertionOrderId}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the advertiser this insertion order belongs to.

insertionOrderId

string (int64 format)

Required. The ID of the insertion order to fetch.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of InsertionOrder.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.